-- Licensed Materials - Property of IBM
-- 5724-I68
--
-- (C) Copyright IBM Corp. 2000, 2006
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

-- ===================================================================
--
-- Table tutl_lck_lock
--
-- There are two lock type -- slave(S) lock and master(M) lock
-- This is an application control table and does not contain any
-- customer specific data,  Therefore it does not have a company_id
-- ===================================================================

drop table tutl_lck_lock;
create table tutl_lck_lock
( 
    lck_object_id                 bigint not null,
    lck_object_type               varchar(50) not null,
    lck_type                      char not null,
    lck_thread_id                 varchar(200) not null,
    lck_jvm_id                    varchar(200) not null,
    constraint lck_0_uk
        unique (lck_object_id, lck_object_type, lck_type, lck_jvm_id, lck_thread_id)
) 

in users index in indx;


drop synonym lck;
create synonym lck for tutl_lck_lock;

-- ===================================================================
--
-- Table tutl_jhb_jvm_heartbeat
--
-- This is an application control table and does not contain any
-- customer specific data,  Therefore it does not have a company_id
-- ===================================================================

drop table tutl_jhb_jvm_heartbeat;
create table tutl_jhb_jvm_heartbeat
( 
    jhb_jvm_id                    varchar(200),
    jhb_heartbeat                 timestamp,
    jhb_jvm_type                  varchar(200)
) 

in users index in indx;


drop synonym jhb;
create synonym jhb for tutl_jhb_jvm_heartbeat;

drop table dual;
create table dual (dummy varchar(1) not null) in users;
insert into dual values ('Y');

commit;

update command options using c on;

terminate;