-- Licensed Materials - Property of IBM
-- 5724-I68
--
-- (C) Copyright IBM Corp. 2000, 2006
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

-- ===================================================================
--
-- Table twbs_wbs_webservice
--
-- Represents a web service.
-- ===================================================================

drop table twbs_wbs_webservice;
create table twbs_wbs_webservice
( 
    wbs_id                        bigint not null,
    wbs_cmp_id                    bigint,
    wbs_name                      varchar(100) not null,
    wbs_implclass                 varchar(2000),
    wbs_desc                      varchar(2000),
    wbs_url                       varchar(2000),
    wbs_wsdl_url                  varchar(2000),
    wbs_wsdl_doc_path             varchar(100),
    wbs_wsdd_doc_path             varchar(100),
    wbs_protocol                  varchar(50),
    wbs_style                     varchar(50),
    wbs_impl_script_path          varchar(2000),
    wbs_store_incoming            char,
    wbs_store_outgoing            char,
    wbs_deployed                  char,
    wbs_auth_required             char,
    constraint wbs_0_pk
        primary key (wbs_id),
    constraint wbs_1_uk
        unique (wbs_name)
) 

in users index in indx;


drop synonym wbs;
create synonym wbs for twbs_wbs_webservice;

drop sequence qwbs_wbs_id restrict;
create sequence qwbs_wbs_id start with 1 increment by 200 nocache;

-- ===================================================================
--
-- Table twbs_wtr_transaction
--
-- Represents a web service transaction
-- ===================================================================

drop table twbs_wtr_transaction;
create table twbs_wtr_transaction
( 
    wtr_id                        bigint not null,
    wtr_wbs_id                    bigint,
    wtr_cmp_id                    bigint,
    wtr_incoming_path             varchar(2000),
    wtr_outgoing_path             varchar(2000),
    wtr_arrival_time              timestamp,
    constraint wtr_0_pk
        primary key (wtr_id)
) 

in users index in indx;


drop synonym wtr;
create synonym wtr for twbs_wtr_transaction;

drop sequence qwbs_wtr_id restrict;
create sequence qwbs_wtr_id start with 1 increment by 200 nocache;

drop sequence wbs_txn_id restrict;
create sequence wbs_txn_id start with 1 increment by 1 nocache;

commit;

update command options using c on;

terminate;